Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class RelationTypeIdWithDirection

Object
RelationTypeIdWithDirection

All Implemented Interfaces:
  `Serializable`

public class RelationTypeIdWithDirection extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RelationTypeIdWithDirection.Builder`
  `static enum`
  `RelationTypeIdWithDirection.Direction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationTypeIdWithDirection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RelationTypeIdWithDirection.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `RelationTypeIdWithDirection.Direction`
  `getDirection()`
  Required. The direction of the relation.
  `UUID`
  `getRelationTypeId()`
  Deprecated.
  use `relationTypePublicId` instead.
  `String`
  `getRelationTypePublicId()`
  The public ID of the relation type.
  `int`
  `hashCode()`
  `void`
  `setDirection(RelationTypeIdWithDirection.Direction direction)`
  Required. The direction of the relation.
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  Deprecated.
  use `relationTypePublicId` instead.
  `void`
  `setRelationTypePublicId(String relationTypePublicId)`
  The public ID of the relation type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelationTypeIdWithDirection

    public RelationTypeIdWithDirection()

- ## Method Details

  - ### builder

    public static RelationTypeIdWithDirection.Builder builder()

  - ### getRelationTypeId

    @Deprecated public UUID getRelationTypeId()
    Deprecated.
    use `relationTypePublicId` instead.
    Required. The ID of the relation type.

  - ### getRelationTypePublicId

    public String getRelationTypePublicId()
    The public ID of the relation type.

  - ### getDirection

    public RelationTypeIdWithDirection.Direction getDirection()
    Required. The direction of the relation.

  - ### setRelationTypeId

    @Deprecated public void setRelationTypeId(UUID relationTypeId)
    Deprecated.
    use `relationTypePublicId` instead.
    Required. The ID of the relation type.

  - ### setRelationTypePublicId

    public void setRelationTypePublicId(String relationTypePublicId)
    The public ID of the relation type.

  - ### setDirection

    public void setDirection(RelationTypeIdWithDirection.Direction direction)
    Required. The direction of the relation.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`